Update the Global Orchestration for an Event Orchestration
Update the Global Orchestration for an Event Orchestration.
Global Orchestration Rules allows you to create a set of Event Rules. These rules evaluate against all Events sent to an Event Orchestration. When a matching rule is found, it can modify and enhance the event and can route the event to another set of Global Rules within this Orchestration for further processing.
For more information see the API Concepts Document
Scoped OAuth requires: event_orchestrations.write
Authorization
api_key The API Key with format Token token=<API_KEY>
In: header
Path Parameters
The ID of an Event Orchestration.
Header Parameters
The Accept header is used as a versioning header.
"application/vnd.pagerduty+json;version=2""application/json"Value in
- "application/json"
Request Body
application/json
Update Global Orchestration rules. Omitted rules and rule details are deleted.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
Update the Service Orchestration active status for a Service PUT
Update a Service Orchestration's active status. A Service Orchestration allows you to set an active status based on whether an event will be evaluated against a service orchestration path (true) or service ruleset (false). For more information see the [API Concepts Document](https://developer.pagerduty.com/api-reference/a47605517c19a-api-concepts#event-orchestrations) Scoped OAuth requires: `services.write`
Update the Router for an Event Orchestration PUT
Update a Global Orchestration's Routing Rules. An Orchestration Router allows you to create a set of Event Rules. The Router evaluates Events you send to this Global Orchestration against each of its rules, one at a time, and routes the event to a specific Service based on the first rule that matches. If an event doesn't match any rules, it'll be sent to service specified in as the `catch_all` or the "Unrouted" Orchestration if no service is specified. For more information see the [API Concepts Document](https://developer.pagerduty.com/api-reference/a47605517c19a-api-concepts#event-orchestrations) Scoped OAuth requires: `event_orchestrations.write`